/*
 * libkarma/errors.h
 *
 * Copyright (c) Enrique Vidal 2004
 *           (c) Frank Zschockelt <libkarma@freakysoft.de> 2004
 *
 * You may distribute and modify this program under the terms of 
 * the GNU GPL, version 2 or later.
 *
 */
#ifndef _LKERRORS_H
#define _LKERRORS_H

int  lkerrSet(const int err);                             /* Sets error number */
void lkerrAutoPrint(const int autoPrint);   /* Sets lkerrSet aoutoprint on/off */

int  lkerror(void);                       /* checks error number and resets it */
int  lkerrNoReset(void);              /* checks error number without resetting */
int  lkerrorp(const char *s1, const char *s2); /* prints s1+errStr+s2 & resets */

char * lkerrorstr(int lkerrnum); /* returns err string for lkerrnum - no reset */

#define E_NOERR      0 /* Success */
#define E_HOST       1 /* ** Libkarma error: gethostbyname() failed */ /* Sys */
#define E_SOCKET     2 /* ** Libkarma error: socket() failed */        /* Sys */
#define E_SENDTO     3 /* ** Libkarma error: sendto() failed */        /* Sys */
#define E_CONNECT    4 /* ** Libkarma error: connect() failed */       /* Sys */
#define E_RECVFROM   5 /* ** Libkarma error: recvfrom() failed */      /* Sys */
#define E_SELECT     6 /* ** Libkarma error: select() failed */        /* Sys */
#define E_OPEN       7 /* ** Libkarma error: open() failed */          /* Sys */
#define E_ICONVO     8 /*  * Libkarma warning: iconv_open() failed */  /* Sys */
#define E_ICONV      9 /*  * Libkarma warning: iconv() failed */       /* Sys */
#define E_ICONVC    10 /* ** Libkarma error: iconv_close() failed */   /* Sys */

#define E_BADHEADER 11 /* ** Libkarma error: broken Rio header */
#define E_BADIDENT  12 /* ** Libkarma error: wrong protocol identifier */
#define E_FAILEDREQ 13 /*  * Libkarma warning: failed request */

#define E_BADPROP   14 /* ** Libkarma error: property parsing failed */
#define E_BADID     15 /* ** Libkarma error: given id not found */

#define E_NOSSDP    16 /*  * Libkarma warning: no ssdp answer */
#define E_SSDPPARSE 17 /*  * Libkarma warning: ssdp parsing failed */

#define MAXLKERRORS 17

#endif
