/*
 * libkarma/util.c
 *
 * Copyright (c) Frank Zschockelt <libkarma@freakysoft.de> 2004
 *
 * char *simple_itoa was borrowed from boa [http://www.boa.org]
 *
 * You may distribute and modify this program under the terms of 
 * the GNU GPL, version 2 or later.
 * 
 */
#include "util.h"

/*copied from the boa webserver*/
char *simple_itoa(unsigned int i)
{
	/* 21 digits plus null terminator, good for 64-bit or smaller ints
	 * for bigger ints, use a bigger buffer!
	 *
	 * 4294967295 is, incidentally, MAX_UINT (on 32bit systems at this time)
	 * and is 10 bytes long
	 */
	static char local[22];
	char *p = &local[21];
	*p-- = '\0';
	do{
		*p-- = '0' + i%10;
		i/=10;
	}while(i>0);
	return p+1;
}
